<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.TxnSnapshot Property
DatabaseEnvironment Class See Also Send Feedback

If true, all transactions in the environment will be started as if Snapshot was passed to BeginTransaction()()(), and all non-transactional cursors will be opened as if SnapshotIsolation was passed to Cursor()()().

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool TxnSnapshot { get; set; }

Visual Basic (Declaration)

    Public Property TxnSnapshot As Boolean

Visual C++

    public:
    property bool TxnSnapshot {
    	bool get ();
    	void set (bool value);
    }

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace